Skip to main content
GET
/
api
/
v1
/
cashback
Retrieve Cashback Information
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.gnosispay.com/api/v1/cashback', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
curl --request GET \
--url https://api.gnosispay.com/api/v1/cashback \
--header 'Authorization: Bearer <token>'
import requests

url = "https://api.gnosispay.com/api/v1/cashback"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.gnosispay.com/api/v1/cashback"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/cashback")
.header("Authorization", "Bearer <token>")
.asString();
require 'uri'
require 'net/http'

url = URI("https://api.gnosispay.com/api/v1/cashback")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
{
  "isOg": true,
  "gnoBalance": "10.5",
  "cashbackRate": 4,
  "weeklyCapUsd": 500
}
{
"message": "<string>"
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Successfully retrieved cashback information

isOg
boolean
required

Indicates if the user holds an OG NFT token. If true, the user receives higher cashback rates.

Example:

true

gnoBalance
string
required

User's GNO token balance in their Safe account (as string to preserve precision)

Example:

"10.5"

cashbackRate
number
required

Cashback rate percentage (0-5%). Includes OG NFT bonus if applicable.

Example:

4

weeklyCapUsd
number
required

Maximum weekly spending amount eligible for cashback in USD

Example:

500